"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.Keyframe = void 0;
var _react = require("@emotion/react");
const Keyframe = {
  slideInLeft: (0, _react.keyframes)`
      from {
        transform: translateX(-100%);
      }
      to {
        transform: translateX(0);
      }
    `,
  slideInRight: (0, _react.keyframes)`
      from {
        transform: translateX(100%);
      }
      to {
        transform: translateX(0);
      }
    `,
  slideInUp: (0, _react.keyframes)`
      from {
        opacity: 0;
        transform: translateY(-10%);
      }
      to {
        opacity: 1;
        transform: translateY(0);
      }
    `,
  slideInDown: (0, _react.keyframes)`
      from {
        opacity: 0;
        transform: translateY(10%);
      }
      to {
        opacity: 1;
        transform: translateY(0);
      }
    `,
  rotate: (0, _react.keyframes)`
      100% {
        transform: rotate(360deg);
      }
  `,
  dash: (0, _react.keyframes)`
      0% {
        stroke-dasharray: 1, 150;
        stroke-dashoffset: 0;
      }
      50% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -35;
      }
      100% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -124;
      }
  `
};
exports.Keyframe = Keyframe;