"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _Color = _interopRequireDefault(require("../Color"));
const Theme = {
  Common: {
    surface: _Color.default.naturalGray0,
    disabled: _Color.default.naturalGray4,
    placeholder: _Color.default.naturalGray5,
    text: _Color.default.naturalGray7,
    subtitle: _Color.default.naturalGray8,
    title: _Color.default.naturalGray9,
    background: _Color.default.blueGray0,
    primary: _Color.default.keyColor6,
    alert: _Color.default.coral6,
    error: _Color.default.coral6
  },
  HelperBgColor: {
    light: _Color.default.keyColor6,
    dark: _Color.default.keyColor4
  },
  HelperTextColor: {
    light: _Color.default.keyColor2,
    dark: _Color.default.keyColor5,
    error: _Color.default.coral6,
    gray: _Color.default.naturalGray7
  }
};
var _default = Theme;
exports.default = _default;