"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.WIDE_PC_MAX_LAYOUT_SYSTEM_WIDTH = exports.WIDE_PC_GUTTER = exports.WIDE_PC_GLOBAL_PADDING = exports.WIDE_PC_COLUMNS = exports.TABLET_MAX_LAYOUT_SYSTEM_WIDTH = exports.TABLET_MAX_BROWSER_WIDTH = exports.TABLET_GUTTER = exports.TABLET_GLOBAL_PADDING = exports.TABLET_COLUMNS = exports.PC_WIDTH = exports.PC_MAX_LAYOUT_SYSTEM_WIDTH = exports.PC_MAX_BROWSER_WIDTH = exports.PC_GUTTER = exports.PC_GLOBAL_PADDING = exports.PC_COLUMNS = exports.MOBILE_MAX_LAYOUT_SYSTEM_WIDTH = exports.MOBILE_MAX_BROWSER_WIDTH = exports.MOBILE_GUTTER = exports.MOBILE_GLOBAL_PADDING = exports.MOBILE_COLUMNS = void 0;
// - BREAK POINT
// PC:             ~ 1024px
// (BIG PC:        ~ 1079px)
// (PC:     1709px ~ 1024px)
// TABLET:  1023px ~ 768px
// MOBILE:  767px ~
const PC_MAX_BROWSER_WIDTH = 1709;
exports.PC_MAX_BROWSER_WIDTH = PC_MAX_BROWSER_WIDTH;
const TABLET_MAX_BROWSER_WIDTH = 1023;
exports.TABLET_MAX_BROWSER_WIDTH = TABLET_MAX_BROWSER_WIDTH;
const MOBILE_MAX_BROWSER_WIDTH = 767;
exports.MOBILE_MAX_BROWSER_WIDTH = MOBILE_MAX_BROWSER_WIDTH;
const PC_WIDTH = `${PC_MAX_BROWSER_WIDTH}px`;
exports.PC_WIDTH = PC_WIDTH;
const WIDE_PC_GLOBAL_PADDING = 32;
exports.WIDE_PC_GLOBAL_PADDING = WIDE_PC_GLOBAL_PADDING;
const PC_GLOBAL_PADDING = 32;
exports.PC_GLOBAL_PADDING = PC_GLOBAL_PADDING;
const TABLET_GLOBAL_PADDING = 32;
exports.TABLET_GLOBAL_PADDING = TABLET_GLOBAL_PADDING;
const MOBILE_GLOBAL_PADDING = 20;
exports.MOBILE_GLOBAL_PADDING = MOBILE_GLOBAL_PADDING;
const WIDE_PC_MAX_LAYOUT_SYSTEM_WIDTH = 1555;
exports.WIDE_PC_MAX_LAYOUT_SYSTEM_WIDTH = WIDE_PC_MAX_LAYOUT_SYSTEM_WIDTH;
const PC_MAX_LAYOUT_SYSTEM_WIDTH = 1240;
exports.PC_MAX_LAYOUT_SYSTEM_WIDTH = PC_MAX_LAYOUT_SYSTEM_WIDTH;
const TABLET_MAX_LAYOUT_SYSTEM_WIDTH = TABLET_MAX_BROWSER_WIDTH - TABLET_GLOBAL_PADDING * 2;
exports.TABLET_MAX_LAYOUT_SYSTEM_WIDTH = TABLET_MAX_LAYOUT_SYSTEM_WIDTH;
const MOBILE_MAX_LAYOUT_SYSTEM_WIDTH = MOBILE_MAX_BROWSER_WIDTH - MOBILE_GLOBAL_PADDING * 2;
exports.MOBILE_MAX_LAYOUT_SYSTEM_WIDTH = MOBILE_MAX_LAYOUT_SYSTEM_WIDTH;
const WIDE_PC_COLUMNS = 15;
exports.WIDE_PC_COLUMNS = WIDE_PC_COLUMNS;
const PC_COLUMNS = 12;
exports.PC_COLUMNS = PC_COLUMNS;
const TABLET_COLUMNS = 8;
exports.TABLET_COLUMNS = TABLET_COLUMNS;
const MOBILE_COLUMNS = 6;
exports.MOBILE_COLUMNS = MOBILE_COLUMNS;
const WIDE_PC_GUTTER = 20;
exports.WIDE_PC_GUTTER = WIDE_PC_GUTTER;
const PC_GUTTER = 20;
exports.PC_GUTTER = PC_GUTTER;
const TABLET_GUTTER = 16;
exports.TABLET_GUTTER = TABLET_GUTTER;
const MOBILE_GUTTER = 16;
// MAX COLUMN WIDTH
// WIDE_PC: 85
// PC:      85
// TABLET:  105.875
// MOBILE:  107.8333...
// const PC_MAX_COLUMN_WIDTH = (PC_MAX_LAYOUT_SYSTEM_WIDTH - (PC_GUTTER * (PC_COLUMNS - 1))) / PC_COLUMNS;
// const TABLET_MAX_COLUMN_WIDTH = (TABLET_MAX_LAYOUT_SYSTEM_WIDTH - (TABLET_GUTTER * (TABLET_COLUMNS - 1))) / TABLET_COLUMNS;
// const MOBILE_MAX_COLUMN_WIDTH = (MOBILE_MAX_LAYOUT_SYSTEM_WIDTH - (MOBILE_GUTTER * (MOBILE_COLUMNS - 1))) / MOBILE_COLUMNS;
exports.MOBILE_GUTTER = MOBILE_GUTTER;