"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.GroupContext = exports.FormItemInputContext = exports.ConfigContext = void 0;
var _react = _interopRequireDefault(require("react"));
const defaultGetPrefixCls = (suffixCls, customizePrefixCls) => {
  if (customizePrefixCls) return customizePrefixCls;
  return suffixCls ? `${suffixCls}` : '';
};
const ConfigContext = /*#__PURE__*/_react.default.createContext({
  // We provide a default function for Context without provider
  getPrefixCls: defaultGetPrefixCls
});
exports.ConfigContext = ConfigContext;
const GroupContext = /*#__PURE__*/_react.default.createContext(null);
exports.GroupContext = GroupContext;
const FormItemInputContext = /*#__PURE__*/_react.default.createContext({});
exports.FormItemInputContext = FormItemInputContext;