"use strict";

var _WeakMap = require("@babel/runtime-corejs3/core-js-stable/weak-map");
var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");
var _Object$getOwnPropertyDescriptor = require("@babel/runtime-corejs3/core-js-stable/object/get-own-property-descriptor");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _assign = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/object/assign"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
var _MultiSelect = require("../MultiSelect.icons");
var Styled = _interopRequireWildcard(require("../MultiSelect.styled"));
function _getRequireWildcardCache(nodeInterop) { if (typeof _WeakMap !== "function") return null; var cacheBabelInterop = new _WeakMap(); var cacheNodeInterop = new _WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = _Object$defineProperty && _Object$getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? _Object$getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { _Object$defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const DefaultItemRenderer = _ref => {
  let {
    checked,
    option,
    onClick,
    disabled,
    isCheckboxShowing = true
  } = _ref;
  return (0, _jsxRuntime.jsxs)(Styled.DefaultItemRendererWrapper, (0, _assign.default)({
    "$disabled": disabled
  }, {
    children: [isCheckboxShowing && (0, _jsxRuntime.jsx)(_MultiSelect.CheckIcon, {
      selected: checked
    }), (0, _jsxRuntime.jsx)("input", {
      type: "checkbox",
      onChange: onClick,
      checked: checked,
      tabIndex: -1,
      disabled: disabled
    }), (0, _jsxRuntime.jsx)("span", {
      children: option.label
    })]
  }));
};
var _default = DefaultItemRenderer;
exports.default = _default;