import _indexOfInstanceProperty from "@babel/runtime-corejs3/core-js-stable/instance/index-of";
import _Object$getOwnPropertySymbols from "@babel/runtime-corejs3/core-js-stable/object/get-own-property-symbols";
import _Object$assign from "@babel/runtime-corejs3/core-js-stable/object/assign";
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && _indexOfInstanceProperty(e).call(e, p) < 0) t[p] = s[p];
  if (s != null && typeof _Object$getOwnPropertySymbols === "function") for (var i = 0, p = _Object$getOwnPropertySymbols(s); i < p.length; i++) {
    if (_indexOfInstanceProperty(e).call(e, p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { IconBox } from '../IconBox';
import * as Styled from './LinkButton.styled';
const LinkButton = _a => {
  var {
      text = '',
      size = 'large',
      icon,
      isIconAfter = false,
      href
    } = _a,
    rest = __rest(_a, ["text", "size", "icon", "isIconAfter", "href"]);
  return _jsx(Styled.DSLinkButtonWrapper, _Object$assign({}, rest, {
    "$size": size,
    href: href
  }, {
    children: _jsx(IconBox, {
      text: text,
      isIconAfter: isIconAfter,
      icon: icon,
      size: size === 'small' ? 'medium' : size
    })
  }));
};
export default LinkButton;