"use strict";

var _WeakMap = require("@babel/runtime-corejs3/core-js-stable/weak-map");
var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");
var _Object$getOwnPropertyDescriptor = require("@babel/runtime-corejs3/core-js-stable/object/get-own-property-descriptor");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _jsxRuntime = require("@emotion/react/jsx-runtime");
var _Loading = require("./Loading.icons");
var Styled = _interopRequireWildcard(require("./Loading.styled"));
function _getRequireWildcardCache(nodeInterop) { if (typeof _WeakMap !== "function") return null; var cacheBabelInterop = new _WeakMap(); var cacheNodeInterop = new _WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = _Object$defineProperty && _Object$getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? _Object$getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { _Object$defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
//

const LoadingTheme = {
  primary: (0, _jsxRuntime.jsx)(_Loading.DefaultLoading, {}),
  secondary: (0, _jsxRuntime.jsx)(_Loading.SecondaryLoading, {}),
  tertiary: (0, _jsxRuntime.jsx)(_Loading.DefaultLoading, {}),
  'angels-primary': (0, _jsxRuntime.jsx)(_Loading.AngelsPrimaryLoading, {}),
  'angels-secondary': (0, _jsxRuntime.jsx)(_Loading.AngelsSecondaryLoading, {}),
  'angels-tertiary': (0, _jsxRuntime.jsx)(_Loading.AngelsTertiaryLoading, {})
};
const Loading = _ref => {
  let {
    kind = 'primary'
  } = _ref;
  return (0, _jsxRuntime.jsx)(Styled.DSLoadingWrapper, {
    children: LoadingTheme[kind]
  });
};
var _default = Loading;
exports.default = _default;