// - BREAK POINT
// PC:             ~ 1024px
// (BIG PC:        ~ 1079px)
// (PC:     1709px ~ 1024px)
// TABLET:  1023px ~ 768px
// MOBILE:  767px ~
export const PC_MAX_BROWSER_WIDTH = 1709;
export const TABLET_MAX_BROWSER_WIDTH = 1023;
export const MOBILE_MAX_BROWSER_WIDTH = 767;
export const PC_WIDTH = `${PC_MAX_BROWSER_WIDTH}px`;
export const WIDE_PC_GLOBAL_PADDING = 32;
export const PC_GLOBAL_PADDING = 32;
export const TABLET_GLOBAL_PADDING = 32;
export const MOBILE_GLOBAL_PADDING = 20;
export const WIDE_PC_MAX_LAYOUT_SYSTEM_WIDTH = 1555;
export const PC_MAX_LAYOUT_SYSTEM_WIDTH = 1240;
export const TABLET_MAX_LAYOUT_SYSTEM_WIDTH = TABLET_MAX_BROWSER_WIDTH - TABLET_GLOBAL_PADDING * 2;
export const MOBILE_MAX_LAYOUT_SYSTEM_WIDTH = MOBILE_MAX_BROWSER_WIDTH - MOBILE_GLOBAL_PADDING * 2;
export const WIDE_PC_COLUMNS = 15;
export const PC_COLUMNS = 12;
export const TABLET_COLUMNS = 8;
export const MOBILE_COLUMNS = 6;
export const WIDE_PC_GUTTER = 20;
export const PC_GUTTER = 20;
export const TABLET_GUTTER = 16;
export const MOBILE_GUTTER = 16;
// MAX COLUMN WIDTH
// WIDE_PC: 85
// PC:      85
// TABLET:  105.875
// MOBILE:  107.8333...
// const PC_MAX_COLUMN_WIDTH = (PC_MAX_LAYOUT_SYSTEM_WIDTH - (PC_GUTTER * (PC_COLUMNS - 1))) / PC_COLUMNS;
// const TABLET_MAX_COLUMN_WIDTH = (TABLET_MAX_LAYOUT_SYSTEM_WIDTH - (TABLET_GUTTER * (TABLET_COLUMNS - 1))) / TABLET_COLUMNS;
// const MOBILE_MAX_COLUMN_WIDTH = (MOBILE_MAX_LAYOUT_SYSTEM_WIDTH - (MOBILE_GUTTER * (MOBILE_COLUMNS - 1))) / MOBILE_COLUMNS;