import _indexOfInstanceProperty from "@babel/runtime-corejs3/core-js-stable/instance/index-of";
import _Object$getOwnPropertySymbols from "@babel/runtime-corejs3/core-js-stable/object/get-own-property-symbols";
import _Object$assign from "@babel/runtime-corejs3/core-js-stable/object/assign";
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && _indexOfInstanceProperty(e).call(e, p) < 0) t[p] = s[p];
  if (s != null && typeof _Object$getOwnPropertySymbols === "function") for (var i = 0, p = _Object$getOwnPropertySymbols(s); i < p.length; i++) {
    if (_indexOfInstanceProperty(e).call(e, p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import * as Styled from './Badge.styled';
import { IconBox } from '../IconBox';
const Badge = _a => {
  var {
      text = '',
      kind,
      size = 'medium',
      color = 'blue',
      icon,
      isIconOnly = false,
      isIconAfter = false,
      style,
      variantSizes
    } = _a,
    rest = __rest(_a, ["text", "kind", "size", "color", "icon", "isIconOnly", "isIconAfter", "style", "variantSizes"]);
  return _jsx(Styled.DSBadgeWrapper, _Object$assign({
    "$kind": kind,
    "$size": size,
    "$color": color,
    style: style,
    "$variantSizes": variantSizes
  }, rest, {
    children: _jsx(IconBox, {
      text: text,
      size: size,
      icon: icon,
      isIconOnly: isIconOnly,
      isIconAfter: isIconAfter
    })
  }));
};
export default Badge;