import _indexOfInstanceProperty from "@babel/runtime-corejs3/core-js-stable/instance/index-of";
import _Object$getOwnPropertySymbols from "@babel/runtime-corejs3/core-js-stable/object/get-own-property-symbols";
import _Object$assign from "@babel/runtime-corejs3/core-js-stable/object/assign";
import _mapInstanceProperty from "@babel/runtime-corejs3/core-js-stable/instance/map";
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && _indexOfInstanceProperty(e).call(e, p) < 0) t[p] = s[p];
  if (s != null && typeof _Object$getOwnPropertySymbols === "function") for (var i = 0, p = _Object$getOwnPropertySymbols(s); i < p.length; i++) {
    if (_indexOfInstanceProperty(e).call(e, p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { IconBookmarkSelected, IconBookmarkDeselected } from '@nextunicorn/icons';
import * as Styled from './Card.styled';
const Card = _a => {
  var {
      title,
      description,
      tags,
      viewCount,
      isInvest = false,
      isBookmarked = false
    } = _a,
    rest = __rest(_a, ["title", "description", "tags", "viewCount", "isInvest", "isBookmarked"]);
  return _jsxs(Styled.CardWrapper, _Object$assign({}, rest, {
    children: [_jsx(Styled.ProfileImage, {
      children: _jsx(Styled.ProfileThumbnail, {})
    }), _jsxs(Styled.Contents, {
      children: [_jsx(Styled.Title, {
        children: title
      }), _jsx(Styled.Description, {
        children: description
      }), _jsx(Styled.TagArea, {
        children: _mapInstanceProperty(tags).call(tags, _ref => {
          let {
            name,
            link
          } = _ref;
          return _jsx("a", _Object$assign({
            href: link
          }, {
            children: name
          }), name);
        })
      }), _jsxs(Styled.InformationArea, {
        children: [_jsxs(Styled.ViewCount, {
          children: ["\uC870\uD68C\uC218 ", viewCount.toLocaleString()]
        }), isInvest && _jsx(Styled.Investor, {
          children: "\uAD00\uC2EC\uC788\uC74C"
        }), _jsx(Styled.BookmarkArea, {
          children: isBookmarked ? _jsx(IconBookmarkSelected, {}) : _jsx(IconBookmarkDeselected, {})
        })]
      })]
    })]
  }));
};
export default Card;