import _Object$assign from "@babel/runtime-corejs3/core-js-stable/object/assign";
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import React, { useEffect, useState } from 'react';
const defaultStrings = {
  allItemsAreSelected: 'All items are selected.',
  clearSearch: 'Clear Search',
  clearSelected: 'Clear Selected',
  noOptions: 'No options',
  search: 'Search',
  selectAll: 'Select All',
  selectAllFiltered: 'Select All (Filtered)',
  selectSomeItems: 'Select...',
  create: 'Create'
};
const defaultProps = {
  value: [],
  hasSelectAll: true,
  debounceDuration: 200,
  options: []
};
const MultiSelectContext = /*#__PURE__*/React.createContext({});
export const MultiSelectProvider = _ref => {
  let {
    props,
    children
  } = _ref;
  const [options, setOptions] = useState(props.options);
  const t = key => {
    var _a;
    return ((_a = props.overrideStrings) === null || _a === void 0 ? void 0 : _a[key]) || defaultStrings[key];
  };
  useEffect(() => {
    setOptions(props.options);
  }, [props.options]);
  return _jsx(MultiSelectContext.Provider, _Object$assign({
    value: _Object$assign(_Object$assign(_Object$assign({
      t
    }, defaultProps), props), {
      options,
      setOptions
    })
  }, {
    children: children
  }));
};
export const useMultiSelect = () => React.useContext(MultiSelectContext);